# xClaro (Claro Dark)

xClaro provides site administrators the option to display a dark administration interface using Claro.

For a full description of the module, visit the [project page](https://www.drupal.org/project/xclaro).

Submit bug reports and feature suggestions, or track changes in the [issue queue](https://www.drupal.org/project/issues/xclaro).

## Table of contents

	•	Requirements
	•	Installation
	•	Configuration
	•	Troubleshooting
	•	FAQ
	•	Maintainers

## Requirements

No additional modules outside of Drupal core are required and have the Claro administration theme enabled.

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Enable the module at Administration > Extend.

No additional setup is required.

## FAQ

**Q: Why not use the Gin theme?**

A: Gin is an administration theme that includes both light and dark mode support out of the box. However, Gin is a complete theme built on top of Claro, meaning you need to enable both Claro and Gin as administration themes.

In contrast, xClaro requires only the Claro theme to function, making it a more lightweight solution.

Drupal efficiently handles resource loading across themes, so the choice between xClaro and Gin ultimately comes down to aesthetic preferences. Aestheticaly, Gin and xClaro use different dark color schemes, so your decision may hinge on which style aligns better with your personal choice.

**Q: Why not a dark Claro theme?**

A: Claro is already an excellent administration theme, except that it does not support dark mode. Using a module to darken Claro is a more lightweight solution than creating a full theme, or a theme based on Claro.

**Q: Can I use multiple colour schemes?**

A: No, xClaro offers only a single colour scheme.

## Maintainer

Jacques R. Blier - [xmacinfo](https://www.drupal.org/u/xmacinfo)
